Subject: Re: bug#32848: 26.1; follow-mode cursor move breaks with frame-resize-pixelwise

From: Alan Mackenzie <[email-masked]>
Date: Sun, 30 Sep 2018 12:16:18 +0000

Hello, Eli.

On Sun, Sep 30, 2018 at 14:16:52 +0300, Eli Zaretskii wrote:
> > Date: Sun, 30 Sep 2018 08:30:56 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked]

> > > OK, let's do it!  What arguments will such a function get?  I think a
> > > single argument, a window, would be appropriate.  The function would then
> > > return either nil (for most windows) or non-nil (for a "right most"
> > > window).

> > Agreed.

> Now done on the master branch.

Great!

My bit is now ready, too, and I was just about to commit it.  But...

There's a problem.  If you move point with C-n from the LH window to the
RH window, LH point stays on the partially visible line.  If you now do
C-x o, point moves to that position, but follow-mode decides that the RH
window is appropriate for displaying that point, so C-x o appears not to
be working.

I'll see what I can come up with to sort this out.

-- 
Alan Mackenzie (Nuremberg, Germany).